class Conteudo < ActiveRecord::Base
  attr_accessible :author, :category, :href, :media, :sub_category, :title
  def self.search(search, page,per_page)
    search_condition = "%" + search + "%"
	paginate per_page: per_page, page: page,
		 conditions: ['title like ? or author like ? or sub_category like ?', search_condition, search_condition, search_condition],
		 order: 'title'
  end
  def self.page_category(category,page,per_page)
	paginate per_page: per_page, page: page,
		 conditions: ['category = ?',category],
		 order: 'title'
  end
  def self.paginated?(category,min_page)
	if Conteudo.find_all_by_category(category).count > min_page
		true
	else
		false
   	end
  end

  def self.paginated_search?(search,min_page)
	search_condition = "%" + search + "%"
	if Conteudo.find(:all, :conditions => ['title LIKE ? OR author LIKE ? OR sub_category LIKE ?', search_condition, search_condition, search_condition]).count > min_page
		true
	else
		false
   	end
  end
	
	
end
