class ConteudosController < ApplicationController
  # GET /conteudos
  # GET /conteudos.json
  def index
    @conteudos = Conteudo.all

    respond_to do |format|
      format.html # index.html.erb
      format.json { render json: @conteudos }
    end
  end

  def dompub
    @category = "dp"
    @page_size = [25,50,100]
    @per_page = params[:per_page] || @page_size[0]
    @conteudos = Conteudo.page_category(@category,params[:page],@per_page)

    respond_to do |format|
      format.html # contedu.html.erb
      format.json { render json: @conteudos }
    end
  end

  def prof
    @category = "portaldoprofessor"
    @page_size = [25,50,100]
    @per_page = params[:per_page] || @page_size[0]
    @conteudos = Conteudo.page_category(@category,params[:page],@per_page)
    respond_to do |format|
      format.html # prof.html.erb
      format.json { render json: @conteudos }
    end
  end

  def tvesc
    @category = "tvescola"
    @page_size = [25,50,100]
    @per_page = params[:per_page] || @page_size[0]
    @conteudos = Conteudo.page_category(@category,params[:page],@per_page)

    respond_to do |format|
      format.html # tvesc.html.erb
      format.json { render json: @conteudos }
    end
  end

  def search
    @search = params[:search] || params[:search_safe] || ''
    @page_size = [25,50,100]
    @per_page = params[:per_page] || @page_size[0] 
    @conteudos = Conteudo.search(@search,params[:page],@per_page)
    respond_to do |format|
      format.html # search.html.erb
      format.json { render json: @conteudos }
    end
  end
end
